Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.query
Interface QueryResourceProperties

All Known Subinterfaces:
  QueryCapability

All Known Implementing Classes:
  SimpleQueryCapability

public interface QueryResourceProperties

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName[]` | `PROPERTIES`

Method Summary
`java.lang.String[]` | `getQueryExpressionDialect()`
`org.w3c.dom.Node[]` | `queryResourceProperties(java.lang.String query, java.lang.String dialect)` Returns a set of DOM Nodes that correlates to the given query string.

Field Detail

### PROPERTIES

    public static final QName[] PROPERTIES

Method Detail

### getQueryExpressionDialect

    public java.lang.String[] getQueryExpressionDialect()
                                                 throws BaseFault

  Throws:
    `BaseFault`

### queryResourceProperties

    public org.w3c.dom.Node[] queryResourceProperties(java.lang.String query,
                                                      java.lang.String dialect)
                                               throws UnknownQueryExpressionDialectFault,
                                                      InvalidQueryExpressionFault,
                                                      QueryEvaluationErrorFault,
                                                      BaseFault

  Returns a set of DOM Nodes that correlates to the given query string.

  Parameters:
    `query` - The query expression to evaluate against the WS-RP document.
    `dialect` - The name of the query language used for the query.
  Returns:
    The set of DOM Nodes that correlates to the given query string. These XML nodes may be entire property instances or just fragments of instances (sub-elements, text, etc.). There is no guarantee that all of the nodes have a similar structure or type. There may be further restrictions on the return value depending on which query language(s) is supported by the WS-RP implementation.
  Throws:
    `BaseFault` -
    - If the dialect (query language) is not supported by the implementation.
    - If the query expression is invalid, or there was an error processing the results of the query.
    `UnknownQueryExpressionDialectFault`
    `InvalidQueryExpressionFault`
    `QueryEvaluationErrorFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD